OSX 10.7 debug builds should explicitly use the 10.6 SDK

RESOLVED WORKSFORME

Status

()

RESOLVED WORKSFORME
6 years ago
6 years ago

People

(Reporter: reuben, Unassigned)

Tracking

Trunk
All
Mac OS X
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

6 years ago
OSX 10.7 debug builds should set --with-macos-sdk=/Developer/SDKs/MacOSX10.6.sdk so that the same SDK is used for opt and debug.
(Reporter)

Comment 1

6 years ago
Ugh, I don't remember exactly what happened here. I think I ran into a problem where the builders would use the 10.7 SDK in debug builds and the 10.6 SDK in opt builds, but now see the --with-macos-sdk directive in build/macosx/universal/mozconfig.common, so WFM.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.